
QGIS Application - Bug report #21006

Expressions cannot be cleared/removed in attributes form properties

2019-01-15 01:52 PM - Antonio Consoli

Status: Rejected

Priority: High

Assignee:

Category: Forms

Affected QGIS version:3.4.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28825

Description

I filled in "expression" in Constraints-attributes form by mistake. Now is impossible to eliminate any value (null or field name) from this

"expression". So I have been obbligate to eliminate field and recreate another one.

I have tried this action on different fields but I had the same bug

Related issues:

Duplicates QGIS Application - Bug report # 20516: Can't remove a constraint s... Closed 2018-11-16

History

#1 - 2019-01-17 01:08 PM - Giovanni Manghi

- Subject changed from Expression in attributes form to Expressions cannot be cleared/removed in attributes form properties

Confirmed and very annoying.

#2 - 2019-01-27 07:46 PM - Alexander Bruy

- Resolution set to duplicate

- Status changed from Open to Rejected

Dupolicates #20516

#3 - 2019-01-27 07:47 PM - Alexander Bruy

- Duplicates Bug report #20516: Can't remove a constraint set on a field once saved added
